db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-3117) Adjust master build script to require the Java 5 compiler to build Derby
Date Mon, 29 Oct 2007 15:57:50 GMT

    [ https://issues.apache.org/jira/browse/DERBY-3117?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12538529
] 

Rick Hillegas commented on DERBY-3117:
--------------------------------------

Hi Knut,

I'm afraid I'm not tracking what you're suggesting. Knowing the JDK vendor tells us which
JDK jars we should wire into the compile classpath. How do you propose that we figure out
that list? Are you thinking that we should just look for a lib directory under the jdk and
wire in everything in that directory?

> Adjust master build script to require the Java 5 compiler to build Derby
> ------------------------------------------------------------------------
>
>                 Key: DERBY-3117
>                 URL: https://issues.apache.org/jira/browse/DERBY-3117
>             Project: Derby
>          Issue Type: Improvement
>          Components: Build tools
>    Affects Versions: 10.4.0.0
>            Reporter: Rick Hillegas
>            Assignee: Rick Hillegas
>         Attachments: BuildDefaults.txt, derby-3117-01-enforceJava5-aa.diff, derby-3117-01-enforceJava5-ab.diff,
derby-3117-01-enforceJava5-ac.diff, derby-3117-02-website-aa.diff, derby-3117-03-junit-aa.diff,
derby_source.html
>
>
> Require the Java 5 compiler in order to build Derby as approved by the community recently:
http://www.nabble.com/-VOTE--Require-Java-5-%28or-later%29-compiler-to-build-Derby-tf4522491.html#a13030783

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message